﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace CSharpDemo
{
    public partial class Form1 : Form
    {
        bool BlnStop;
        public Form1()
        {
            InitializeComponent();
        }

        private void BtnRun_Click(object sender, EventArgs e)
        {
            timer1.Enabled = true;
            TxtRunWaveLen.Focus();
            iswu1.RunToWaveLen(Convert.ToDouble(TxtRunWaveLen.Text));
            LblCurrWaveLen.Text = "Current Wavelength:" + iswu1.CurrentWaveLen.ToString();
            label2.Text = "Busy Status:" + iswu1.Busy.ToString();
        }

        private void BtnConnect_Click(object sender, EventArgs e)
        {
            iswu1.ConnectPort(5);
            
            LblCurrWaveLen.Text ="Current Wavelength:"+ iswu1.CurrentWaveLen.ToString();
            label2.Text = "Busy Status:" + iswu1.Busy.ToString();
            if (iswu1.FilterStatus == 2)
                groupBox1.Enabled = false;
            else
                groupBox1.Enabled = true;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            iswu1.StopRun();
            timer1.Enabled = false;
            LblCurrWaveLen.Text = "Current Wavelength:" + iswu1.CurrentWaveLen.ToString();
            label2.Text = "Busy Status:" + iswu1.Busy.ToString();
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            LblCurrWaveLen.Text = "Current Wavelength:" + iswu1.CurrentWaveLen.ToString();
            label2.Text = "Busy Status:" + iswu1.Busy.ToString();
        }

        private void BtnFilterOk_Click(object sender, EventArgs e)
        {
            double[] dFilterWrokWaveLen = new double[8];

            //The starting wavelength of each filter must be ordered from small to large
            dFilterWrokWaveLen[1] = Convert.ToDouble(Txt1FilterWorkWaveLen.Text);
            dFilterWrokWaveLen[2] = Convert.ToDouble(Txt2FilterWorkWaveLen.Text);
            dFilterWrokWaveLen[3] = Convert.ToDouble(Txt3FilterWorkWaveLen.Text);
            iswu1.SetFilterWorkParam(Convert.ToInt16(TxtFilterUseCount.Text), dFilterWrokWaveLen);   
        }


    }
}
